Subject: bug#16886: 24.3.50; Lisp nesting exceeds `max-lisp-eval-depth' with `M-x cancel-debug-on-entry'

From: [email-masked]
Date: Thu, 28 Jul 2016 21:11:36 -0400

tags 16886 unreproducible
quit

Drew Adams <[email-masked]> writes:

> Hope this helps.  This was with my setup.  AFAIK, I had used
> `debug-on-entry' for only one function.
>
> I then did `M-x cancel-debug-on-entry RET', and Emacs took a
> long time to return (used lots of CPU).  I tried it again, and
> got the backtrace.
>
> I then did `M-x cancel-debug-on-entry' and instead of
> hitting RET I hit TAB.  `nil' appeared as the default for
> the function whose debugging is to be canceled.
>
> Both that and the backtrace show that somehow
> `debugger-list-functions' is returning the list `(nil)'.

Have you hit this since then? I can't find a way to reproduce this funny
state.